---
name: Bug Report
about: Report an issue within the Karafka ecosystem you've discovered.
---

To make this process smoother for everyone involved, please read the following information before filling out the template.

Scope of the OSS Support
===========

We do not provide OSS support for outdated versions of Karafka and its components.

Please ensure that you are using a version that is still actively supported. We cannot assist with any no longer maintained versions unless you support us with our Pro offering (https://karafka.io/docs/Pro-Support/).

We acknowledge that understanding the specifics of your application and its configuration can be essential for resolving certain issues. However, due to the extensive time and resources such analysis can require, this may fall beyond our Open Source Support scope.

If Karafka or its components are critical to your infrastructure, we encourage you to consider our Pro Offering.

By backing us up, you can gain direct assistance and ensure your use case receives the dedicated attention it deserves.


Important Links to Read
===========

Please take a moment to review the following resources before submitting your report:

- Issue Reporting Guide: https://karafka.io/docs/Support/#issue-reporting-guide
- Support Policy: https://karafka.io/docs/Support/
- Versions, Lifecycle, and EOL: https://karafka.io/docs/Versions-Lifecycle-and-EOL/


Bug Report Details
===========

Please provide all the details per our Issue Reporting Guide: https://karafka.io/docs/Support/#issue-reporting-guide

Failing to provide the required details may result in the issue being closed. Please include all necessary information to help us understand and resolve your issue effectively.


Additional Context
===========

Add any other context about the problem here.
